Subject: Re: bug#47867: [1.2.1 pre-release testing] substitute downloading and TLS errors

From: Ludovic Courtès <[email-masked]>
Date: Sun, 18 Apr 2021 12:15:47 +0200

Hi Florian,

"pelzflorian (Florian Pelz)" <[email-masked]> skribis:

> On Fri, Apr 16, 2021 at 10:40:55PM -0500, jcguu95 wrote:
>>    2.2. Unexpected failure
>> 
>>    After running `guix system init /mnt/etc/config.scm /mnt' for 5 to 10
>>    minutes, I got the error
>> 
>>    ,----
>>    |    substitute: updating substitutes from 'https://ci.guix.gnu.org'... 0.0%guix substitute: error: TSL error in procedure 'write_to_session_port': Resource temporarily unavailable, try again.
>>    | 
>>    |    guix system: error: `/gnu/store/1nmwil4cs...vc2p-guix-1.2.0-21.4dff6ec/bin/guix substitute` died unexpectedly
>>    |    root@gnu ~# _
>>    `----
>> 
>>    Retrying it did resolve the problem. And I got a working guix system
>>    out of it :)
>
> I’ve got the same TLS error (though the procedure for me is
> ‘write_to_session_record_port’.
>
> I needed to restart the installer at the last step, this stopped while
> downloading enlightenment with no error but it does not continue.

Was this in a VM?  Could it be that networking was unstable (e.g., you
were running this over a flaky WiFi connection)?  How reproducible is
this?  Any tips on how to reproduce it?

I did a full bare-bones OS install in a VM, which went fine, but maybe
that’s not representative of your setup.

Thanks,
Ludo’.